"""empty message

Revision ID: 882705ee04cf
Revises: 
Create Date: 2023-05-06 09:05:05.412247

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "882705ee04cf"
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "connexion_requests",
        sa.Column("uuid", sa.UUID(), nullable=False),
        sa.Column("created_at", sa.DateTime(), nullable=True),
        sa.Column("email", sa.String(), nullable=True),
        sa.Column("hashed_password", sa.String(), nullable=True),
        sa.Column("activation_code", sa.String(), nullable=True),
        sa.PrimaryKeyConstraint("uuid"),
    )
    op.create_index(
        op.f("ix_connexion_requests_activation_code"),
        "connexion_requests",
        ["activation_code"],
        unique=False,
    )
    op.create_index(
        op.f("ix_connexion_requests_email"),
        "connexion_requests",
        ["email"],
        unique=False,
    )
    op.create_index(
        op.f("ix_connexion_requests_uuid"), "connexion_requests", ["uuid"], unique=False
    )
    op.create_table(
        "users",
        sa.Column("uuid", sa.UUID(), nullable=False),
        sa.Column("created_at", sa.DateTime(), nullable=True),
        sa.Column("email", sa.String(), nullable=True),
        sa.Column("hashed_password", sa.String(), nullable=True),
        sa.Column("is_active", sa.Boolean(), nullable=True),
        sa.Column("session_token", sa.String(), nullable=True),
        sa.PrimaryKeyConstraint("uuid"),
    )
    op.create_index(op.f("ix_users_email"), "users", ["email"], unique=True)
    op.create_index(op.f("ix_users_uuid"), "users", ["uuid"], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_users_uuid"), table_name="users")
    op.drop_index(op.f("ix_users_email"), table_name="users")
    op.drop_table("users")
    op.drop_index(op.f("ix_connexion_requests_uuid"), table_name="connexion_requests")
    op.drop_index(op.f("ix_connexion_requests_email"), table_name="connexion_requests")
    op.drop_index(
        op.f("ix_connexion_requests_activation_code"), table_name="connexion_requests"
    )
    op.drop_table("connexion_requests")
    # ### end Alembic commands ###
